Subject: bug#42112: 27.0.91; whitespace-empty face not extended beyond EOL

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 28 Jun 2020 18:34:56 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Date: Sun, 28 Jun 2020 17:41:48 +0100
>> 
>> 0. emacs -Q
>> 1. M-x whitespace-mode RET
>> 2. M-<
>> 
>> In Emacs 26, line 3 is highlighted with the whitespace-empty face all
>> the way to the right fringe.
>> 
>> In Emacs 27, only the first two columns of line 3 are highlighted with
>> the whitespace-empty face.
>> 
>> Is this TRT?
>
> I don't know: I don't use this mode.

I do, but I'm not sure what constitutes correct behaviour.  I guess the
Emacs 26 behaviour is how the feature was designed and what users have
come to expect, in which case Emacs 27 exhibits a regression.

>> Should whitespace-empty get an ':extend t' attribute or inherit from
>> some other face which already has that?
>
> If we want the empty lines to be shown in this face in their entirety,
> then it should have the :extend attribute, yes.

Is there any practical difference or preference between giving
whitespace-empty an :extend attribute vs making it inherit from a face
with an :extend attribute?

> Just make sure it looks OK with underline and other non-color
> attributes.

Will do in about a week's time if no-one beats me to it.

Thanks,

-- 
Basil